#!/usr/bin/env bash
#
################################################################################
#
#
# post-installation script for NixOS unstable
# 
# 
#
################################################################################
#
while :
do
clear
echo ""
echo "\033[1m I N S T A L L NixOS"
echo " --------------------------"
echo "\033[0m"
echo " 01.Copy over configs"
echo " 02.Rebuld System"
echo " 03.Update System"
echo " 04.Cleanup System"
echo " 05.Install "
echo ""
echo " x. Exit"
echo ""
echo -n " Please enter option [01 - 07]"
read opt
case $opt in
##################################################################################
01) echo "************ Copy over configs **********************";
##################################################################################
sudo cp /etc/nixos /etc/bak.nixos

sudo cp -vf *.nix /etc/nixos/

sudo cp -vrf home /etc/nixos/
sudo cp -vrf packages /etc/nixos/
sudo cp -vrf script /etc/nixos/
sudo cp -vrf secrets /etc/nixos/
sudo cp -vrf system /etc/nixos/
sudo chown -R root:root /etc/nixos/
;;

##################################################################################
02) echo "************ Rebuld System ****************";
##################################################################################
sudo nixos-rebuild switsh
;;

##################################################################################
03) echo "************ Update System *****************";
##################################################################################
sudo nixos-rebuild switsh --upgrade
;;

##################################################################################
04) echo "************ Cleanup System ******************";
##################################################################################
nix-collect-garbage -d && sudo nix-collect-garbage -d
;;

##################################################################################
05) echo "************ Install **************************";
##################################################################################
#sudo nix-channel --add https://nixos.org/channels/nixos-unstable nixos
#sudo nixos-rebuild switch --upgrade
;;

x) echo "";
exit 1;;
*) echo " Press [enter] key to continue. . .";
read enterKey;;
esac
done

